javax.validation

## Enum ConstraintTarget

- java.lang.Object
- - java.lang.Enum<ConstraintTarget>
  - - javax.validation.ConstraintTarget

- All Implemented Interfaces:
    Serializable, Comparable<ConstraintTarget>

      public enum ConstraintTarget
      extends Enum<ConstraintTarget>

  Defines the constraint target.
  Since:
    1.1
  Author:
    Emmanuel Bernard

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMPLICIT` Discover the type when no ambiguity is present if neither on a method nor a constructor, it implies the annotated element (type, field etc), if on a method or constructor with no parameter, it implies `RETURN_VALUE`, if on a method with no return value (`void`), it implies `PARAMETERS`. Otherwise, `IMPLICIT` is not accepted and either `RETURN_VALUE` or `PARAMETERS` is required.
    `PARAMETERS` Constraint applies to the parameters of a method or a constructor
    `RETURN_VALUE` Constraint applies to the return value of a method or a constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstraintTarget` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstraintTarget[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IMPLICIT

          public static final ConstraintTarget IMPLICIT

      Discover the type when no ambiguity is present
      - if neither on a method nor a constructor, it implies the annotated element (type, field etc),
      - if on a method or constructor with no parameter, it implies `RETURN_VALUE`,
      - if on a method with no return value (`void`), it implies `PARAMETERS`.
      Otherwise, `IMPLICIT` is not accepted and either `RETURN_VALUE` or `PARAMETERS` is required. This is the case for constructors with parameters and methods with parameters and return value.

    - #### RETURN_VALUE

          public static final ConstraintTarget RETURN_VALUE

      Constraint applies to the return value of a method or a constructor.

    - #### PARAMETERS

          public static final ConstraintTarget PARAMETERS

      Constraint applies to the parameters of a method or a constructor

  - ### Method Detail

    - #### values

          public static ConstraintTarget[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintTarget c : ConstraintTarget.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintTarget valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.